Skip to main content
Resource Center/Hardware/Host Operations
GETHost OperationsSince 0.6SynchronousAuth Required

QueryHost

QueryHost

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The resource name.

    • uuidStringRequired

      The resource UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • managementIpStringRequired

      管理IP。

    • hypervisorTypeStringRequired

      No description provided.

    • stateStringRequired

      The host state, including: Enabled Disabled PreMaintenance Maintenance

    • statusStringRequired

      The host status, including: Connecting Connected Disconnected

    • totalCpuCapacityLongRequired

      总CPU容量。

    • availableCpuCapacityLongRequired

      可用CPU容量。

    • cpuSocketsIntegerRequired

      No description provided.

    • totalMemoryCapacityLongRequired

      总内存容量。

    • availableMemoryCapacityLongRequired

      可用内存容量。

    • cpuNumIntegerRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/hosts

/zstack/v1/hosts

Operation ID

QueryHost

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/hosts' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "zoneUuid": "37649b12f572303a883c19c4c7af0856", "name": "example", "uuid": "f7bae73b9874344b8766dfcdda48ad6e", "clusterUuid": "d59c027b81fe3bbc9d78ef45f574febb", "description": "example", "managementIp": "192.168.0.1", "hypervisorType": "KVM", "state": "Enabled", "status": "Connected", "totalCpuCapacity": 4.0, "availableCpuCapacity": 2.0, "cpuSockets": 4.0, "totalMemoryCapacity": 1840414720, "availableMemoryCapacity": 1840414720, "cpuNum": 4.0 } ] }

Change History

This API has no change history records yet.

View all change history